<?php
/*
Plugin Name: Flip Lang
Plugin URI: https://eidern.com/
Description: Easily manage dual languages for your wordpress posts. Just by adding shortcodes in your posts, between [ol][/ol] brackets for your original language and between[fl][/fl] for foreign language. Light plugin, no ressources used in translation.
Version: 1.0
Author: Eidern
Author URI: https://eidern.com
*/
class fl_plugin
{
    public function __construct()
    {
        include_once plugin_dir_path(__FILE__).'/change_language.php';
        new fl_change_language();//instantiate class
     

         //used to activate shortcodes plugin
         include_once plugin_dir_path( __FILE__ ).'/hide.php';
        new fl_hide(); //instantiate hide class

       //add plugin menu to admin interface
        add_action('admin_menu', array($this, 'add_admin_menu'));
        
    }

    public function add_admin_menu()
    {
        add_menu_page('Flip Lang plugin', 'Flip Lang', 'manage_options', 'flip', array($this, 'menu_html'));
    }
    
    public function menu_html()
    {
        echo '<h1>'.get_admin_page_title().'</h1>';
        echo '<p>Welcome on the plugin settings page</p>'; 
        ?>
         <form method="post" action="options.php">
         <?php settings_fields('fl_language_settings');//create option group ?>
         <label>Select your Original Language</label>
        <?php 
       
        $languages = array(
            'ab' => 'Abkhazian',
            'aa' => 'Afar',
            'af' => 'Afrikaans',
            'sq' => 'Albanian',
            'ar' => 'Arabic',
            'hy' => 'Armenian',
            'as' => 'Assamese',
            'az' => 'Azerbaijani',
            'eu' => 'Basque',
            'bg' => 'Bulgarian',
            'be' => 'Belarusian',
            'bn' => 'Bengali',
            'bs' => 'Bosnian',
            'br' => 'Breton',
            'my' => 'Burmese',
            'ca' => 'Catalan',
            'ch' => 'Chamorro',
            'ce' => 'Chechen',
            'zh' => 'Chinese',
            'cv' => 'Chuvash',
            'co' => 'Corsu',
            'cr' => 'Cree',
            'hr' => 'Croatian',  
            'cs' => 'Czech',
            'da' => 'Danish',
            'nl' => 'Dutch',
            'en' => 'English',
            'eo' => 'Esperanto',
            'et' => 'Estonian', 
            'fo' => 'Faerorese', 
            'fa' => 'Farsi', 
            'fj' => 'Fijian', 
            'fi' => 'Finnish',    
            'fr' => 'Francais',
            'fy' => 'Frisian',
            'gd' => 'Gaelic',
            'gl' => 'Galacian',
            'ka' => 'Georgian',
            'de' => 'German',
            'el' => 'Greek',
            'gu' => 'Gujurati',
            'ht' => 'Haitian',
            'he' => 'Hebrew',
            'hi' => 'Hindi',
            'hu' => 'Hungarian',
            'is' => 'Icelandic',
            'id' => 'Indonesian',
            'ga' => 'Irish',
            'it' => 'Italian',
            'ja' => 'Japanese',
            'kn' => 'Kannada',
            'ks' => 'Kashmiri',
            'kk' => 'Kazakh',
            'km' => 'Khmer',
            'ko' => 'Korean',
            'la' => 'Latin',
            'lt' => 'Lithuanian',
            'lb' => 'Luxembourgish',
            'mk' => 'Macedonian',
            'ms' => 'Malay',
            'mt' => 'Maltese',
            'mi' => 'Maori',
            'mr' => 'Marathi',
            'mo' => 'Moldavian',
            'nv' => 'Navajo',
            'ne' => 'Nepali',
            'no' => 'Norwegian',
            'oc' => 'Occitan',
            'or' => 'Oryia',
            'om' => 'Oromo',
            'fa' => 'Persian',
            'pl' => 'Polish',
            'pt' => 'Portuguese',
            'pa' => 'Punjabi',
            'qu' => 'Quechua',
            'ro' => 'Romanian',
            'ru' => 'Russian',
            'sz' => 'Sami',
            'sg' => 'Sango',
            'sc' => 'Sardinian',
            'sd' => 'Sindhi',
            'si' => 'Singhalese',
            'sr' => 'Serbian',
            'sk' => 'Slovak',
            'sl' => 'Slovenian',
            'so' => 'Somani',
            'sb' => 'Sorbian',
            'es' => 'Spanish',
            'sx' => 'Sutu',
            'sw' => 'Swahili',
            'sv' => 'Swedish',
            'ta' => 'Tamil',
            'tt' => 'Tatar',
            'te' => 'Teluga',
            'th' => 'Thai',
            'ts' => 'Tsonga',
            'tn' => 'Tswana',
            'tr' => 'Turkish',
            'tk' => 'Turkmen',
            'uk' => 'Ukrainian',
            'ur' => 'Urdu',
            've' => 'Venda',
            'vi' => 'Vietnamese',
            'vo' => 'Volapuk',
            'wa' => 'Walloon',
            'cy' => 'Welsh',
            'xh' => 'Xhosa',
            'ji' => 'Yiddish',
            'zi' => 'Zulu'
           );
        ?>
        <select name="fl_language_original">
        <?php
        foreach ($languages as $key => $value){
          
            ?>
            <option <?php if($key==get_option('fl_language_original'))echo "selected=\"selected\" ";?>value="<?php echo $key; ?>"><?php echo $value;?></option>
            <?php
        } 
        ?>
     
        </select>
        <?php submit_button(); ?>
         </form>
         <?php
    }

}

new fl_plugin();//instantiate class





